=== debian/changelog ===
spiped (1.6.1-2) unstable; urgency=medium

  * Drop the adequate autopkgtest.
  * Switch back to debhelper-compat now that debhelper 13 is out.
  * Drop the Name and Contact upstream metadata fields.
  * Use netcat-openbsd instead of netcat-traditional for the autopkgtest.

 -- Peter Pentchev <roam@debian.org>  Sun, 13 Sep 2020 23:51:41 +0300

spiped (1.6.1-1) unstable; urgency=medium

  * Mark the adequate autopkgtest as superficial.
  * Declare compliance with Policy 4.5.0 with no changes.
  * Replace the honor-destdir patch with variable settings.
  * New upstream version:
    - drop the honor-compiler-flags, integrated upstream
    - drop the pthread-join patch, fixed in a different way upstream
    - refresh the line numbers in the debian-build patch
  * Add the year 2020 to my debian/* copyright notice.
  * Upgrade the debhelper compat level to 13:
    - use debian/compat since this is a beta compat level
    - explicitly let Lintian know that we are using a beta level
    - build-depend on debhelper >= 12.8~ even though we do not use
      before/after rules

 -- Peter Pentchev <roam@debian.org>  Thu, 16 Apr 2020 00:46:45 +0300
