=== debian/rules ===
#!/usr/bin/make -f
# Debhelper rules file for spiped, the secure pipe daemon.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Wno-inline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wno-redundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror -Wno-error=clobbered
endif

export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- \
		'BINDIR=${CURDIR}/debian/spiped/usr/bin' \
		'MAN1DIR=${CURDIR}/debian/spiped/usr/share/man/man1'

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG
	install -m 644 CHANGELOG debian/spiped/usr/share/doc/spiped/NEWS
